# LiteXiv

A free frontend for pixiv that provides a simple yet sufficient user interface for browsing illustrations and mangas.

**ℹ️ Upcoming:** I'm currently working on version 2, a new major version of LiteXiv. This is a rewrite of the codebase using a new web framework which is expected to make it faster and easier to install. Check the [v2](https://codeberg.org/Peaksol/LiteXiv/src/branch/v2) branch for the progress.

## Features

- Simple and lightweight interface;
- No JavaScript required;
- Hide potentially sensitive, R-18, R-18G, and AI-generated artworks;
- Instance owner can force NSFW off.

## Installation

Read [INSTALL.md](INSTALL.md) for installation guide.

To update LiteXiv, `cd` into the codebase and `git pull`. Before updating, you should read the instructions accompanied with each [release](https://codeberg.org/Peaksol/LiteXiv/releases) notice (if any).

## Instances

| Address | Cloudflare? | Notes |
| - | - | - |
| https://litexiv.qunn.link/ | No | |

## See Also

- [freexiv](https://codeberg.org/PrivacyDev/freexiv) and [vixip](https://gitler.moe/suwako/vixip.git) - The projects that Litexiv is directly inspired by.
- [PixivFE](https://codeberg.org/VnPower/pixivfe) - A modern-looking frontend that provides many more features than LiteXiv.
- [Vixipy](https://codeberg.org/vixipy/Vixipy) - Another feature-rich frontend that can function mostly without a pixiv token.
- [LiteXiv Profile](https://codeberg.org/Peaksol/LiteXiv-Profile) - A seperate project for managing your pixiv bookmarks locally. It is intended to work with LiteXiv.

## License

This program is licensed under the GNU Affero General Public License, version 3. Check [LICENSE](LICENSE) or [gnu.org](https://www.gnu.org/licenses/agpl-3.0.html) for a copy of the license.
